[openwrt/openwrt] mac80211: pass hostapd control socket to mesh-mode supplicant

LEDE Commits lede-commits at lists.infradead.org
Thu Apr 12 18:28:20 PDT 2018


dangole pushed a commit to openwrt/openwrt.git, branch master:
https://git.lede-project.org/1356a66f94f31e636fafec514a1c658356ef51b3

commit 1356a66f94f31e636fafec514a1c658356ef51b3
Author: Daniel Golle <daniel at makrotopia.org>
AuthorDate: Fri Apr 13 01:37:06 2018 +0200

    mac80211: pass hostapd control socket to mesh-mode supplicant
    
    Unlike when operating in Ad-Hoc mode, we apparently need to pass the
    hostapd control socket interface to wpa_supplicant when using 802.11s
    mesh mode.
    
    There also seems to still be something wrong with the logic setting
    channel and (v)htmode parameters...
    
    Signed-off-by: Daniel Golle <daniel at makrotopia.org>
---
 package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh b/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
index bf9d52a..3a1d475 100644
--- a/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
+++ b/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
@@ -633,7 +633,7 @@ mac80211_setup_vif() {
 			if [ -n "$key" ]; then
 				wireless_vif_parse_encryption
 				freq="$(get_freq "$phy" "$channel")"
-				mac80211_setup_supplicant_noctl || failed=1
+				mac80211_setup_supplicant || failed=1
 			else
 				json_get_vars mesh_id mcast_rate
 



More information about the lede-commits mailing list